<ngx-spinner [name]='"assets"' [fullScreen]="true" bdColor="#f5f5f583" size="medium" type="ball-fussion"
    color="#EDAE49"></ngx-spinner>

<app-navbar></app-navbar>

<div class="menu">

    <div class="innerNavButtons">
        <mat-icon class="s-18 header">apps</mat-icon>
        <mat-icon class="s-16 header">keyboard_double_arrow_right</mat-icon>
        <button style="color: var(--secondary-button-color); background-color:#ec740417;" mat-flat-button>
            Hosts
        </button>
        <span style="margin-left: 0.5em">|</span>
        <!-- #TOUCH -->
        <!-- <button [routerLink]="[ 'dashboards' ,'core-dash', 'all', 'global']" routerLinkActive="router-link-active"
            mat-flat-button>
            Alerts Analysis
        </button> -->

    </div>

    <!-- #TOUCH -->
    <!-- <button class="recentSavedBtn" mat-stroked-button matTooltip="Saved Views" (click)="drawer.toggle()">
        <mat-icon *ngIf="drawer.opened else elseIcon">chevron_right</mat-icon>
        <ng-template #elseIcon> <mat-icon>chevron_left</mat-icon> </ng-template>
        Saved
        <mat-icon class="material-icons-outlined">save</mat-icon>
    </button> -->

    <!-- <div class="innerHeader">
        <mat-icon class="s-18 header">apps</mat-icon>
        <mat-icon class="s-16 header">keyboard_double_arrow_right</mat-icon>
        <span class="header">Assets List</span>
    </div> -->








</div>

<div class="page-container">

    <div class="content">
        <mat-drawer-container>

            <mat-drawer-content>


                <div class="assets" fxLayout="row wrap" fxLayoutAlign="center center">

                    <div *ngFor="let asset of assets">
                        <mat-card *ngIf="hasRole(asset.roles)" class="asset-card shadow">
                            <mat-card-header class="assets-header">
                                <mat-card-title>
                                    {{asset.service_name}}
                                </mat-card-title>
                                <!-- <mat-card-subtitle> Status: {{asset.status}}
                            </mat-card-subtitle> -->
                            </mat-card-header>
                            <mat-divider></mat-divider>
                            <img class="mt-2" style="width:165px; margin: auto; padding: 1em;" mat-card-image
                                src="assets/logo/Nemo circle.png">
                            <mat-card-actions>
                                <mat-divider></mat-divider>

                                <div style="margin:0.5em 0;" class="g">

                                    <mat-form-field appearance="fill" style="width: 100%;">
                                        <mat-label>Choose View </mat-label>
                                        <mat-select #view [value]="'consumptionview'">
                                            <!-- <mat-option value="alertsview">Alerts Investigation</mat-option>
                                            <mat-option value="netflowsview">Netflows Investigation</mat-option> -->
                                            <mat-option value="consumptionview">Default</mat-option>

                                            <mat-option *ngFor="let view of asset.savedViews"
                                                [value]="view.id">{{view.title}}</mat-option>
                                        </mat-select>
                                    </mat-form-field>


                                    <div class="f" style="justify-content: space-around;">

                                        <!-- <button matTooltip="Add files" style="border-radius:50%;" class="btn-1" mat-icon-button>
                                        <span class="material-icons-round">
                                            add
                                        </span>
                                    </button> -->

                                        <!-- <button matTooltip="Edit" class="btn-1"  mat-raised-button>
                                        <span class="material-icons-round">
                                            tune
                                        </span>
                                    </button> -->

                                        <button class="btn-2" style=" background-color: var(--secondary-button-color);
                                    color: var(--light-font-color);"
                                            [routerLink]="[ 'services' , asset.route ]"
                                            routerLinkActive="router-link-active" mat-raised-button>
                                            {{asset.button_name}}
                                        </button>

                                        <!-- FVT OG -->
                                        <!-- <button class="btn-2" style=" background-color: var(--secondary-button-color);
                                    color: var(--light-font-color);"
                                            [routerLink]="[ 'dashboards' ,'core-dash', asset.hostname ,view.value]"
                                            routerLinkActive="router-link-active" mat-raised-button>
                                            investigate
                                        </button> -->
                                    </div>
                                </div>
                            </mat-card-actions>
                        </mat-card>


                    </div>
                </div>

            </mat-drawer-content>

            <mat-drawer #drawer [opened]="false" position="end" mode="side" style="width: 350px; margin-top: 0.5em;">
                <div *ngFor="let recent of recentSaved">
                    <mat-card class="saved-card shadow">
                        <mat-card-header class="saved-header">
                            <mat-card-title>
                                {{recent.title}}
                            </mat-card-title>
                            <mat-card-subtitle>
                                <mat-label>Created: <span>{{recent.created}}</span></mat-label>
                            </mat-card-subtitle>
                            <div class="info">
                                <mat-label>Asset ID: <span>{{recent.assetId}}</span></mat-label>
                                <mat-label>Description:</mat-label>
                            </div>
                        </mat-card-header>
                        <mat-card-content>
                            <p>{{recent.descriptions}}</p>
                        </mat-card-content>
                        <mat-card-actions style="text-align:center; padding: 0">
                            <button [routerLink]="[ 'dashboards' ,'core-dash', recent.assetId ,recent.id]"
                                routerLinkActive="router-link-active" mat-icon-button>
                                <img src="assets/images/share.png" style="width:30px;" alt="">
                            </button>
                        </mat-card-actions>
                    </mat-card>


                </div>
            </mat-drawer>

        </mat-drawer-container>
    </div>

</div>